help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: cedet load error


From: Marco Parrone
Subject: Re: cedet load error
Date: Tue, 24 May 2011 20:01:31 -0000
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.2 (gnu/linux)

flebber <address@hidden> writes:

> On Apr 29, 8:06 pm, flebber <address@hidden> wrote:
>> I have installed Cedet following these instructions 
>> herehttp://cedet.sourceforge.net/setup.shtml
>>
>> It seems to load okay except for 1 error,
>>
>> Error#
>> Warning: cedet-called-interactively-p called with 0 arguments, but
>> requires 1
>>
>> Does this relate to my .emacs file?
>>
>> This is my emacs file(custom-set-variables
>>   ;; custom-set-variables was added by Custom.
>>   ;; If you edit it by hand, you could mess it up, so be careful.
>>   ;; Your init file should contain only one such instance.
>>   ;; If there is more than one, they won't work right.
>>  '(appmenu-mode t)
>>  '(cua-mode t nil (cua-base))
>>  '(emacsw32-max-frames t)
>>  '(emacsw32-style-frame-title t)
>>  '(hfyview-quick-print-in-
>> files-menu t)
>>  '(menuacc-mode t)
>>  '(noprint-hide-print-in-menus t)
>>  '(noprint-hide-ps-print-in-menus t)
>>  '(ourcomments-ido-ctrl-tab t)
>>  '(ps-paper-type "a4")
>>  '(rebind-keys-mode t)
>>  '(recentf-mode t)
>>  '(sex-mode t)
>>  '(tabkey2-mode t)
>>  '(w32-meta-style (quote emacs))
>>  '(w32shell-shell (quote cmd)))
>> (load-file "C:/Users/RenshawFamily/AppData/Roaming/.emacs.d/addons/
>> cedet-1.0/common/cedet.el")
>> (global-ede-mode 1)                      ; Enable the Project
>> management system
>> (semantic-load-enable-code-helpers)      ; Enable prototype help and
>> smart completion
>> (global-srecode-minor-mode 1)            ; Enable template insertion
>> menu
>> (custom-set-faces
>>   ;; custom-set-faces was added by Custom.
>>   ;; If you edit it by hand, you could mess it up, so be careful.
>>   ;; Your init file should contain only one such instance.
>>   ;; If there is more than one, they won't work right.
>>  )
>>
>> What should i be looking at in regards fixing this error.
>>
>> Sayth
>
> I got some more info from debug init
>
> Debugger entered--Lisp error: (file-error "Cannot open load file"
> "jump")
>   require(jump)
>   eval-buffer(#<buffer  *load*<2>> nil "c:/Users/RenshawFamily/AppData/
> Roaming/.emacs.d/addons/eschulte-rinari-1c3460f/rinari.el" nil t)  ;
> Reading at buffer position 2593
>   load-with-code-conversion("c:/Users/RenshawFamily/AppData/
> Roaming/.emacs.d/addons/eschulte-rinari-1c3460f/rinari.el" "c:/Users/
> RenshawFamily/AppData/Roaming/.emacs.d/addons/eschulte-rinari-1c3460f/
> rinari.el" nil t)
>   require(rinari)
>   eval-buffer(#<buffer  *load*> nil "c:/Users/RenshawFamily/AppData/
> Roaming/.emacs" nil t)  ; Reading at buffer position 1428
>   load-with-code-conversion("c:/Users/RenshawFamily/AppData/
> Roaming/.emacs" "c:/Users/RenshawFamily/AppData/Roaming/.emacs" t t)
>   load("~/.emacs" t t)
>   #[nil "\205\264

`require' for elisp is like #include for C.

You can read the detailed explanation of The function by typing

  `C-h f require RET'

The above error message was caused because a file you are loading
(rinari.el) requires the jump feature, which is expected to be provided
by the jump.el file.

For enabling `rinari.el' to find `jump.el', you can insert this code in
your ~/.emacs:

  (add-to-list 'load-path "/path/to/dir/containing-jump.el/")

this code must precede the point where `rinari.el' is loaded.



-- 
Marco Parrone <address@hidden>
PGP Key fingerprint = 5E21 BED2 BF47 B3FB F17F  1DB4 D9BE B2B7 3C3A 07E2


reply via email to

[Prev in Thread] Current Thread [Next in Thread]